# std::uses_allocator<std::function>

From cppreference.com
< cpp‎ | utility‎ | functional‎ | function

Defined in header `<functional>` |  |
template< class R, class... ArgTypes, class Alloc > struct uses_allocator<std::function<R(ArgTypes...)>, Alloc> : std::true_type { }; |  | (since C++11) (until C++17)

This specialization of std::uses_allocator informs other library components that all objects of type std::function support uses-allocator construction, even though they do not have a nested `allocator_type`.

## Inherited from std::integral_constant

### Member constants

value [static] | true (public static member constant)

### Member functions

operator bool | converts the object to bool, returns `value` (public member function)
operator() (C++14) | returns `value` (public member function)

### Member types

Type | Definition
`value_type` | `bool`
`type` | std::integral_constant<bool, value>

### See also

uses_allocator (C++11) | checks if the specified type supports uses-allocator construction (class template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/utility/functional/function/uses_allocator&oldid=86409"